Subject: Re: [PATCH 1/6] t0006 & t5000: prepare for 64-bit time_t

From: Junio C Hamano <[email-masked]>
Date: Mon, 27 Feb 2017 14:55:41 -0800

Johannes Schindelin <[email-masked]> writes:

> This quick fix, however, tests for *long* to be 64-bit or not. What we
> need, though, is a test that says whether *whatever data type we use for
> timestamps* is 64-bit or not.
>
> The same quick fix was used to handle the similar problem where Git's
> source code uses `unsigned long` to represent size, instead of `size_t`.
>
> So let's just add another prerequisite to test specifically whether
> timestamps are represented by a 64-bit data type or not. Later, when we
> will have switched to using `time_t` where appropriate, we can flip that
> prerequisite to test `time_t` instead of `long`.

The changes that move from LONG_IS to TIME_IS in this patch are all
about time (iow, LONG_IS_64BIT prereq is still used in the check on
sizes).  The patch looks sensible.